package com.doc.biz.service;

import com.doc.biz.domain.DocDirUser;

import java.util.List;

/**
 * 组织目录成员Service接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface IDocDirUserService {
    /**
     * 查询组织目录成员
     *
     * @param autoId 组织目录成员主键
     * @return 组织目录成员
     */
    public DocDirUser selectDocDirUserByAutoId(Long autoId);

    /**
     * 查询组织目录成员列表
     *
     * @param docDirUser 组织目录成员
     * @return 组织目录成员集合
     */
    public List<DocDirUser> selectDocDirUserList(DocDirUser docDirUser);

    /**
     * 新增组织目录成员
     *
     * @param docDirUser 组织目录成员
     * @return 结果
     */
    public int insertDocDirUser(DocDirUser docDirUser);

    /**
     * 修改组织目录成员
     *
     * @param docDirUser 组织目录成员
     * @return 结果
     */
    public int updateDocDirUser(DocDirUser docDirUser);

    /**
     * 批量删除组织目录成员
     *
     * @param autoIds 需要删除的组织目录成员主键集合
     * @return 结果
     */
    public int deleteDocDirUserByAutoIds(Long[] autoIds);

    /**
     * 删除组织目录成员信息
     *
     * @param autoId 组织目录成员主键
     * @return 结果
     */
    public int deleteDocDirUserByAutoId(Long autoId);

    /**
     * 根据目录ID删除用户
     *
     * @param dirId 目录ID
     */
    void deleteDocDirUserByDirId(Long dirId);
}
