package com.doc.biz.service;

import com.doc.biz.domain.DocFavoriteLabel;

import java.util.List;

/**
 * 文件收藏标签Service接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface IDocFavoriteLabelService {
    /**
     * 查询文件收藏标签
     *
     * @param labelId 文件收藏标签主键
     * @return 文件收藏标签
     */
    public DocFavoriteLabel selectDocFavoriteLabelByLabelId(Long labelId);

    /**
     * 查询文件收藏标签列表
     *
     * @param docFavoriteLabel 文件收藏标签
     * @return 文件收藏标签集合
     */
    public List<DocFavoriteLabel> selectDocFavoriteLabelList(DocFavoriteLabel docFavoriteLabel);

    /**
     * 新增文件收藏标签
     *
     * @param docFavoriteLabel 文件收藏标签
     * @return 结果
     */
    public int insertDocFavoriteLabel(DocFavoriteLabel docFavoriteLabel);

    /**
     * 修改文件收藏标签
     *
     * @param docFavoriteLabel 文件收藏标签
     * @return 结果
     */
    public int updateDocFavoriteLabel(DocFavoriteLabel docFavoriteLabel);

    /**
     * 批量删除文件收藏标签
     *
     * @param labelIds 需要删除的文件收藏标签主键集合
     * @return 结果
     */
    public int deleteDocFavoriteLabelByLabelIds(Long[] labelIds);

    /**
     * 删除文件收藏标签信息
     *
     * @param labelId 文件收藏标签主键
     * @return 结果
     */
    public int deleteDocFavoriteLabelByLabelId(Long labelId);
}
